version: 1.0.0
sections:
    main:
      - record_call:
          format: "wav"
          stereo: true
      - ai:
          post_prompt_auth_password: zmj2tuhsTyOwis6S
          post_prompt_auth_user: NiheyBNy7sDgpyon
          post_prompt_url: "https://botworks-prod.signalwire.me/postprompt/1"          
          prompt:
            top_p: 0.3
            temperature: 0.9
            pom:
              - title: Objective
                body: You are Janet, Your primary goal is to have a polite conversation with the user and collect the following information.
                bullets:
                  - Full Name
                  - E-Mail Address
                  - Phone Number
              - title: At Call Start
                body: Introduce yourself and make a plesant ice breaker then begin your Objective.
              - title: Once objective has been fulfilled
                body: Polietly end the conversation with the user.
              - title: Rules
                bullets:
                  - Do not directly mention your objective outright.
                  - Do not be too literal with things you tell the user, just be vaguely polite.
          post_prompt:
            text: Summarize the conversation
          params:
            end_of_speech_timeout: 300
            speech_event_timeout: 450
          languages:
            - name: English
              code: en-US
              voice: rime.lagoon
